CREATE TABLE cmk_decision_table_details (
    DETAIL_ID                NUMBER(18, 0),
    HEADER_ID                NUMBER(18, 0)    NOT NULL,
    PARENT_DETAIL_ID         NUMBER(18, 0),
    DATA                     CLOB         ,
    STATUS                   VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    DETAIL_ID                NUMBER(18, 0),
    HEADER_ID                NUMBER(18, 0)    NOT NULL,
    PARENT_DETAIL_ID         NUMBER(18, 0),
    DATA                     CLOB         ,
    STATUS                   VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_cmk_decision_table_details PRIMARY KEY (DETAIL_ID, DETAIL_ID)
);
